/*
 Theme Name:   Lights for Judy
 Template:     twentytwentyfour
 Version: 1.0
*/

:root {
  --text-body-xs: 0.8rem;
  --text-body-sm: clamp(0.8rem, -0.0758rem + 2.8026vw, 0.933125rem);
  --text-body: 1rem;
  --text-body-md: clamp(1.25rem, -0.3947rem + 5.2632vw, 1.5rem);
  --text-body-lg: clamp(1.333125rem, -0.8626rem + 7.0263vw, 1.666875rem);
  --text-heading-xs: clamp(0.8rem, -0.0758rem + 2.8026vw, 0.933125rem);
  --text-heading-sm: 1rem;
  --text-heading: 1.125rem;
  --text-heading-md: clamp(1.333125rem, -0.8626rem + 7.0263vw, 1.666875rem);
}

body .ff-message-success {
  border: 0;
  box-shadow: none;
  font-family: var(--wp--preset--font-family--lora);
  padding: 4em 0;
  h3 {
    font-weight: 550;
    line-height: 1.5em;
    text-wrap: balance;
  }
}

body form.fluent_form_3 .ff-btn-submit:not(.ff_btn_no_style) {
  background-color: var(--wp--preset--color--accent-3);
  color: var(--wp--preset--color--base);
  font-family: var(--wp--preset--font-family--lora);
  font-size: 1rem;
}

body .ff-default .ff-el-form-control {
  font-family: var(--wp--preset--font-family--lora);
  font-size: 1rem;
}

body .ff-default .ff-el-form-check label.ff-el-form-check-label {
  font-family: var(--wp--preset--font-family--lora);
}

body .fluentform .ff-el-input--label {
  font-family: var(--wp--preset--font-family--lora);
}

body .ff-default textarea.ff-el-form-control {
  line-height: 1.5em;
}

.max-w-content-size {
  max-width: var(--wp--style--global--content-size);
  margin-left: auto;
  margin-right: auto;
}

.flex-grow {
  flex: 1;
}

.font-normal {
  font-weight: normal;
}

.fs-text-body {
  font-size: 1rem;
}

.fs-text-body-xs {
  font-size: var(--text-body-xs);
}

.\!fs-text-body-xs {
  font-size: var(--text-body-xs) !important;
}

.fs-text-heading-xs {
  font-size: var(--text-heading-xs);
}

.header-nav-item-active {
  font-weight: 550;
  text-decoration: underline;
  text-underline-offset: 3px;
}

.ml-auto {
  margin-left: auto;
}

.post-list {
  container-type: inline-size;
  container-name: post-list-item;
  & > li > .wp-block-group {
    align-items: baseline;
    flex-direction: column;
  }
  .wp-block-post-title {
    font-weight: 500;
    text-wrap: balance;
  }
  @container post-list-item (min-width: 32rem) {
    & > li > .wp-block-group {
      flex-direction: row;
      flex-wrap: nowrap;
      & > .wp-block-post-title {
        flex-shrink: 0;
        width: 38%;
      }
    }
  }
}

.site-title a {
  text-decoration: none;
}

.text-balance {
  text-wrap: balance;
}

.wp-block-heading {
  font-weight: 500;
}

.wp-block-read-more {
  color: hsla(3, 87%, 40%, 1);
  margin-block-start: 0.5em;
  text-decoration: underline;
  &:hover,
  &:active {
    color: hsla(1, 73%, 28%, 1);
    text-decoration: none;
  }
}
